/*  This is part of Addibit.
    Copyright (C) 2013 Blagoy Genov

    Addibit is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "DDBitListArray.h"

using namespace addibit;

const std::string BitListArray::toString () const {
    std::stringstream result;
    
    for ( uint_fast32_t index = 0; index < entries(); index++ ) {
        BitList list( __BIT_LIST_ALLOC_SPACE__ );
        
        for ( uint_fast16_t block = 0; block < __DD_BLOCK_COUNT__ ; block++ ) {
            list[ block ] = *( mData + block );
        }
    
        result << list.toString() << std::endl;
    }

    return result.str();
}
