
#ifndef __DD_TREE_CREATOR_UTILS__
#define __DD_TREE_CREATOR_UTILS__

namespace addibit {

    class TreeCreatorUtils {

        private:
        const unsigned int mMaxElementsPerLeaf;
        const BitList mCutMap;

        public:
        TreeCreatorUtils ( const unsigned int maxElementsPerLeaf, const BitList & cutMap ) :
            mMaxElementsPerLeaf( maxElementsPerLeaf ),
            mCutMap( cutMap ) {}

        unsigned int getMaxElementsPerLeaf () const {
            return mMaxElementsPerLeaf;
        }

        const BitList & getCutMap () const {
            return mCutMap;
        }
    };
}

#endif // __DD_TREE_CREATOR_UTILS__
